#include <stdio.h>
#include <stdlib.h>

int main()
{
    int i=0,j,b=0,rez=0,n,k;
    char zamena;
    char s[3000];
    gets(s);
    n=strlen(s);
    j=n-1;
    while(i<n && b==0){
        if(s[i]!=s[j]){ /// poredjenje pocetka i kraja
            k=j-1;      /// element pre krajnjeg koji se poredi
            while(s[k]==s[j]){ /// menjanje
                k--;}          /// pomera se clan koji se gleda da se zameni
                rez=(j-k)+1;
            zamena=s[k];
            s[k]=s[i];
            s[i]=zamena;
            b=1;
        }
        i++;    /// pocetni +1
        j--;    /// krajnji +1
    }
    printf("%d",rez);



    return 0;
}